## gpodder 0.9.4

=== Makefile ===
#
# Makefile for gPodder
# Copyright 2005-2007 Thomas Perl <thp at perli net>
# License: see COPYING file
#

##########################################################################

BINFILE=bin/gpodder
GLADEFILE=data/gpodder.glade
GLADEGETTEXT=$(GLADEFILE).h
MESSAGESPOT=data/messages.pot
GUIFILE=src/gpodder/gpodder.py
LOGO_22=data/icons/22/gpodder.png
LOGO_24=data/icons/24/gpodder.png
MANPAGE=doc/man/gpodder.1
TEPACHE=./doc/dev/tepache
GPODDERVERSION=`cat $(BINFILE) |grep ^__version__.*=|cut -d\" -f2`

ROSETTA_FILES=$(MESSAGESPOT) data/po/*.po
ROSETTA_ARCHIVE=gpodder-rosetta-upload.tar.gz

CHANGELOG=ChangeLog
CHANGELOG_TMP=.ChangeLog.tmp
CHANGELOG_EDT=.ChangeLog.edit
EMAIL ?= $$USER@`hostname -f`

DESTDIR ?= /
PREFIX ?= /usr

# default editor of user has not set "EDITOR" env variable
EDITOR ?= vim

##########################################################################

all: help

help:
	@echo 'make test            run gpodder in local directory'
	@echo 'make cl              make new changelog entry (1)'
	@echo 'make release         create source tarball in "dist/"'
	@echo 'make install         install gpodder into "$(PREFIX)"'
	@echo 'make uninstall       uninstall gpodder from "$(PREFIX)"'
	@echo 'make generators      generate manpage, run tepache and resize logo'
	@echo 'make messages        rebuild messages.pot from new source'
	@echo 'make rosetta-upload  generate a tarball of all translation files'
	@echo 'make clean           remove generated+temp+*.pyc files'
	@echo 'make distclean       do a "make clean" + remove "dist/"'
	@echo ''
	@echo '(1) Please set environment variable "EMAIL" to your e-mail address'

##########################################################################

cl:
	(echo "`822-date` <$(EMAIL)>"; svn status | grep '^[MA]' | sed -e 's/^[MA] *\(.*\)/        * \1: /'; echo ""; cat $(CHANGELOG)) >$(CHANGELOG_TMP)
	cp $(CHANGELOG_TMP) $(CHANGELOG_EDT)
	$(EDITOR) $(CHANGELOG_EDT)
	diff -q $(CHANGELOG_TMP) $(CHANGELOG_EDT) || mv $(CHANGELOG_EDT) $(CHANGELOG)
	rm -f $(CHANGELOG_TMP) $(CHANGELOG_EDT)


##########################################################################

test:
	$(BINFILE) --local --verbose

deb:
	debuild

release: distclean
	python setup.py sdist

install: generators
	python setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)

update-icons:
	gtk-update-icon-cache -f -i $(PREFIX)/share/icons/hicolor/

uninstall:
	@echo "##########################################################################"
	@echo "#  MAKE UNINSTALL STILL NOT READY FOR PRIME TIME, WILL DO MY BEST TO     #"
	@echo "#  REMOVE FILES INSTALLED BY GPODDER. WATCH INSTALL PROCESS AND REMOVE   #"
	@echo "#  THE REST OF THE PACKAGES MANUALLY TO COMPLETELY REMOVE GPODDER.       #"
	@echo "##########################################################################"
	rm -rf $(PREFIX)/share/gpodder $(PREFIX)/share/pixmaps/gpodder* $(PREFIX)/share/applications/gpodder.desktop $(PREFIX)/share/man/man1/gpodder.1 $(PREFIX)/bin/gpodder $(PREFIX)/lib/python?.?/site-packages/gpodder/ $(PREFIX)/share/locale/*/LC_MESSAGES/gpodder.mo

##########################################################################

generators: $(MANPAGE) gen_glade gen_graphics
	make -C data/po update

messages: gen_gettext

$(MANPAGE): $(BINFILE)
	help2man --name="A Media aggregator and Podcast catcher" -N $(BINFILE) >$(MANPAGE)

gen_glade: $(GLADEFILE)
	$(TEPACHE) --no-helper --glade=$(GLADEFILE) --output=$(GUIFILE)
	chmod -x $(GUIFILE) $(GUIFILE).orig

gen_gettext: $(MESSAGESPOT)
	make -C data/po generators
	make -C data/po update

gen_graphics:
	convert -bordercolor Transparent -border 1x1 $(LOGO_22) $(LOGO_24)

$(GLADEGETTEXT): $(GLADEFILE)
	intltool-extract --type=gettext/glade $(GLADEFILE)

$(MESSAGESPOT): src/gpodder/*.py $(GLADEGETTEXT) $(BINFILE)
	xgettext -k_ -kN_ -o $(MESSAGESPOT) src/gpodder/*.py $(GLADEGETTEXT) $(BINFILE)
	sed -i'~' -e 's/SOME DESCRIPTIVE TITLE/gPodder translation template/g' -e 's/YEAR THE PACKAGE'"'"'S COPYRIGHT HOLDER/2006 Thomas Perl/g' -e 's/FIRST AUTHOR <EMAIL@ADDRESS>, YEAR/Thomas Perl <thp@perli.net>, 2006/g' -e 's/PACKAGE VERSION/gPodder '$(GPODDERVERSION)'/g' -e 's/PACKAGE/gPodder/g' $(MESSAGESPOT)

rosetta-upload: $(ROSETTA_ARCHIVE)
	@echo 'You can now upload the archive to launchpad.net:  ' $(ROSETTA_ARCHIVE)

$(ROSETTA_ARCHIVE):
	tar czvf $(ROSETTA_ARCHIVE) $(ROSETTA_FILES)

##########################################################################

clean:
	python setup.py clean
	rm -f src/gpodder/*.pyc src/gpodder/*.bak MANIFEST PKG-INFO data/gpodder.gladep{,.bak} data/gpodder.glade.bak $(GLADEGETTEXT) data/messages.pot~ data/gpodder-??x??.png $(ROSETTA_ARCHIVE)
	rm -rf build
	make -C data/po clean

debclean:
	fakeroot debian/rules clean

distclean: clean
	rm -rf dist
 
##########################################################################

.PHONY: all cl test release install update-icons generators gen_manpage gen_glade gen_graphics clean distclean messages help

##########################################################################

=== data/po/Makefile ===
#
# gPodder (a media aggregator / podcast client)
# Copyright (C) 2005-2007 Thomas Perl <thp at perli.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, 
# MA  02110-1301, USA.
#

update:
	for langfile in *.po; do echo 'Compiling translation:' $${langfile}; mkdir -p ../locale/`basename $${langfile} .po`/LC_MESSAGES/; msgfmt $${langfile} -o ../locale/`basename $${langfile} .po`/LC_MESSAGES/gpodder.mo; done

generators:
	for langfile in *.po; do echo -n $${langfile}; msgmerge -U $${langfile} ../messages.pot; done

clean:
	rm -rf ../locale *~ *.mo


.PHONY: update generators clean

## gpodder 0.10.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,20 @@
 #
-# Makefile for gPodder
-# Copyright 2005-2007 Thomas Perl <thp at perli net>
-# License: see COPYING file
+# gPodder - A media aggregator and podcast client
+# Copyright (C) 2005-2007 Thomas Perl <thp at perli.net>
+#
+# gPodder is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# gPodder is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
 #
 
 ##########################################################################
@@ -10,11 +23,10 @@
 GLADEFILE=data/gpodder.glade
 GLADEGETTEXT=$(GLADEFILE).h
 MESSAGESPOT=data/messages.pot
-GUIFILE=src/gpodder/gpodder.py
+GUIFILE=src/gpodder/gui.py
 LOGO_22=data/icons/22/gpodder.png
 LOGO_24=data/icons/24/gpodder.png
 MANPAGE=doc/man/gpodder.1
-TEPACHE=./doc/dev/tepache
 GPODDERVERSION=`cat $(BINFILE) |grep ^__version__.*=|cut -d\" -f2`
 
 ROSETTA_FILES=$(MESSAGESPOT) data/po/*.po
@@ -23,6 +35,7 @@
 CHANGELOG=ChangeLog
 CHANGELOG_TMP=.ChangeLog.tmp
 CHANGELOG_EDT=.ChangeLog.edit
+CHANGELOG_BKP=.ChangeLog.backup
 EMAIL ?= $$USER@`hostname -f`
 
 DESTDIR ?= /
@@ -52,11 +65,12 @@
 ##########################################################################
 
 cl:
-	(echo "`822-date` <$(EMAIL)>"; svn status | grep '^[MA]' | sed -e 's/^[MA] *\(.*\)/        * \1: /'; echo ""; cat $(CHANGELOG)) >$(CHANGELOG_TMP)
-	cp $(CHANGELOG_TMP) $(CHANGELOG_EDT)
-	$(EDITOR) $(CHANGELOG_EDT)
-	diff -q $(CHANGELOG_TMP) $(CHANGELOG_EDT) || mv $(CHANGELOG_EDT) $(CHANGELOG)
-	rm -f $(CHANGELOG_TMP) $(CHANGELOG_EDT)
+	cp $(CHANGELOG) $(CHANGELOG_BKP)
+	(echo "`date -R` <$(EMAIL)>" ; svn status | sed -f doc/dev/svncl.sed | sort ; echo ""; cat $(CHANGELOG)) >$(CHANGELOG_EDT)
+	cp $(CHANGELOG_EDT) $(CHANGELOG)
+	$(EDITOR) $(CHANGELOG)
+	diff -q $(CHANGELOG) $(CHANGELOG_EDT) && mv $(CHANGELOG_BKP) $(CHANGELOG) || true
+	rm -f $(CHANGELOG_BKP) $(CHANGELOG_EDT)
 
 
 ##########################################################################
@@ -86,17 +100,13 @@
 
 ##########################################################################
 
-generators: $(MANPAGE) gen_glade gen_graphics
+generators: $(MANPAGE) gen_graphics
 	make -C data/po update
 
 messages: gen_gettext
 
 $(MANPAGE): $(BINFILE)
 	help2man --name="A Media aggregator and Podcast catcher" -N $(BINFILE) >$(MANPAGE)
-
-gen_glade: $(GLADEFILE)
-	$(TEPACHE) --no-helper --glade=$(GLADEFILE) --output=$(GUIFILE)
-	chmod -x $(GUIFILE) $(GUIFILE).orig
 
 gen_gettext: $(MESSAGESPOT)
 	make -C data/po generators
@@ -134,7 +144,7 @@
  
 ##########################################################################
 
-.PHONY: all cl test release install update-icons generators gen_manpage gen_glade gen_graphics clean distclean messages help
+.PHONY: all cl test release install update-icons generators gen_manpage gen_graphics clean distclean messages help
 
 ##########################################################################

=== data/po/Makefile ===
#
# gPodder - A media aggregator and podcast client
# Copyright (C) 2005-2007 Thomas Perl <thp at perli.net>
#
# gPodder is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# gPodder is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#
update:
	for langfile in *.po; do echo 'Compiling translation:' $${langfile}; mkdir -p ../locale/`basename $${langfile} .po`/LC_MESSAGES/; msgfmt $${langfile} -o ../locale/`basename $${langfile} .po`/LC_MESSAGES/gpodder.mo; done

generators:
	for langfile in *.po; do echo -n $${langfile}; msgmerge -U $${langfile} ../messages.pot; done

clean:
	rm -rf ../locale *~ *.mo


.PHONY: update generators clean

## gpodder 0.11.2-maemo5

=== debian/changelog ===
gpodder (0.11.2-maemo5) chinook; urgency=low

  * First upload to Maemo Extras, based on pure SVN trunk r715

 -- Thomas Perl <thp@perli.net>  Wed, 14 May 2008 15:45:25 +0200

gpodder (0.11.2-maemo4) chinook; urgency=low

  * Make the window icon work and remove the duplicate startup sound

 -- Thomas Perl <thp@perli.net>  Thu,  8 May 2008 20:13:30 +0200

gpodder (0.11.2-maemo3) chinook; urgency=low

  * The superfantastic build, w/ experimental file naming and with improved
    performance for the feed cache update procedure (also experimental ;)

 -- Thomas Perl <thp@perli.net>  Thu,  8 May 2008 16:49:44 +0200

gpodder (0.11.2-maemo2) chinook; urgency=low

  * Based on SVN revision 700

 -- Thomas Perl <thp@perli.net>  Fri,  2 May 2008 18:19:08 +0200

gpodder (0.11.2-maemo1) chinook; urgency=low

  * Added python2.5-hildon and python2.5-osso as dependencies
  * Based on current SVN version + local changes from thp
  * Add option to disable quit confirmation window
  * Add ability to set custom media player via advanced settings

 -- Thomas Perl <thp@perli.net>  Tue, 29 Apr 2008 20:38:30 +0200

gpodder (0.11.2-maemo0) chinook; urgency=low

  * The "Walk like a Panther" release
  * First official Maemo release is here :)

 -- Thomas Perl <thp@perli.net>  Sat, 26 Apr 2008 09:44:26 +0200

gpodder (0.11.1+svn-maemo15) chinook; urgency=low

  * "Add podcast" dialog for Maemo (makes more space on UI)
  * Maemo-specific, stripped-down preferences dialog
  * Miscellaneous small UI improvements

 -- Thomas Perl <thp@perli.net>  Thu, 24 Apr 2008 19:43:06 +0200

gpodder (0.11.1+svn-maemo14) chinook; urgency=low

  * Include finger-friendly patchset
  * Change "Updating" to "Loading" when not updating

 -- Thomas Perl <thp@perli.net>  Thu, 24 Apr 2008 17:31:54 +0200

gpodder (0.11.1+svn-maemo13) chinook; urgency=low

  * Updated to latest SVN revision

 -- Thomas Perl <thp@perli.net>  Tue, 22 Apr 2008 21:58:58 +0200

gpodder (0.11.1+svn-maemo12) chinook; urgency=low

  * Fix padding and feed update problems

 -- Thomas Perl <thp@perli.net>  Tue, 22 Apr 2008 08:09:35 +0200

gpodder (0.11.1+svn-maemo11) chinook; urgency=low

  * Icon for Maemo

 -- Thomas Perl <thp@perli.net>  Sun, 20 Apr 2008 11:02:05 +0200

gpodder (0.11.1+svn-maemo10) chinook; urgency=low

  * Some UI-related fixes

 -- Thomas Perl <thp@perli.net>  Sun, 20 Apr 2008 10:48:30 +0200

gpodder (0.11.1+svn-maemo9) chinook; urgency=low

  * Based on SVN revision 679
  * Added "gpodder_r678_feed-cache-update.patch"

 -- Thomas Perl <thp@perli.net>  Sat, 19 Apr 2008 20:17:03 +0200

gpodder (0.11.1+svn-maemo8) chinook; urgency=low

  * Possibility to hide gPodder to the tray icon (and restore from there)

 -- Thomas Perl <thp@perli.net>  Wed,  9 Apr 2008 12:38:29 +0200

gpodder (0.11.1+svn-maemo7) chinook; urgency=low

  * New Maemo release based on SVN r656 + a locale patch

 -- Thomas Perl <thp@perli.net>  Mon,  7 Apr 2008 11:27:20 +0200

gpodder (0.11.1+svn-maemo6) chinook; urgency=low

  * Upstream gPodder integration finished; SVN r654

 -- Thomas Perl <thp@perli.net>  Sun,  6 Apr 2008 02:19:58 +0200

gpodder (0.11.1+svn-maemo5) chinook; urgency=low

  * Preparation for merging the patch with upstream gPodder
  * Several usability changes

 -- Thomas Perl <thp@perli.net>  Sun,  6 Apr 2008 01:19:28 +0200

gpodder (0.11.1+svn-maemo4) chinook; urgency=low

  * Support for hardware keys
  * Show/hide channel navigator and size/released columns
  * Add support for hildon banners (drop-in replacement for pynotify)
  * Make the quit dialog work and hildonize it
  * change some dialogs to better fit the screen
  * set "podcasts" tab title to the currently selected podcast
  * Hide channel navigator column header
  * Hide advanced properties in the episode info dialog

 -- Thomas Perl <thp@perli.net>  Fri,  4 Apr 2008 15:12:13 +0200

gpodder (0.11.1+svn-maemo3) chinook; urgency=low

  * Add "python2.5-xml" as a dependency; thanks to chrisak from ITT for the
    bug report

 -- Thomas Perl <thp@perli.net>  Fri,  4 Apr 2008 08:21:46 +0200

gpodder (0.11.1+svn-maemo2) chinook; urgency=low

  * More Maemoifications

 -- Thomas Perl <thp@perli.net>  Thu,  3 Apr 2008 21:56:07 +0200

gpodder (0.11.1+svn-maemo1) chinook; urgency=low

  * Maemo test build

 -- Thomas Perl <thp@perli.net>  Thu,  3 Apr 2008 21:10:52 +0200

## gpodder 0.11.2-maemo6

=== debian/changelog ===
gpodder (0.11.2-maemo6) chinook; urgency=low

  * gPodder 0.11.3 Release Candidate 1
  * Updated translation data (from SVN trunk)
  * N810 fundraiser code (donations)

 -- Thomas Perl <thp@perli.net>  Mon, 19 May 2008 16:35:26 +0200

## gpodder 0.11.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # gPodder - A media aggregator and podcast client
-# Copyright (C) 2005-2007 Thomas Perl <thp at perli.net>
+# Copyright (c) 2005-2008 Thomas Perl and the gPodder Team
 #
 # gPodder is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -26,6 +26,7 @@
 GUIFILE=src/gpodder/gui.py
 LOGO_22=data/icons/22/gpodder.png
 LOGO_24=data/icons/24/gpodder.png
+HELP2MAN=help2man
 MANPAGE=doc/man/gpodder.1
 GPODDERVERSION=`cat $(BINFILE) |grep ^__version__.*=|cut -d\" -f2`
 
@@ -50,14 +51,17 @@
 
 help:
 	@echo 'make test            run gpodder in local directory'
+	@echo 'make mtest           run gpodder (for maemo scratchbox)'
 	@echo 'make cl              make new changelog entry (1)'
+	@echo 'make ci              format a commit message from the changelog'
 	@echo 'make release         create source tarball in "dist/"'
+	@echo 'make releasetest     run some tests before the release'
 	@echo 'make install         install gpodder into "$(PREFIX)"'
 	@echo 'make uninstall       uninstall gpodder from "$(PREFIX)"'
-	@echo 'make generators      generate manpage, run tepache and resize logo'
+	@echo 'make generators      generate manpage and icons (if needed)'
 	@echo 'make messages        rebuild messages.pot from new source'
 	@echo 'make rosetta-upload  generate a tarball of all translation files'
-	@echo 'make clean           remove generated+temp+*.pyc files'
+	@echo 'make clean           remove generated+temp+*.py{c,o} files'
 	@echo 'make distclean       do a "make clean" + remove "dist/"'
 	@echo ''
 	@echo '(1) Please set environment variable "EMAIL" to your e-mail address'
@@ -73,16 +77,30 @@
 	rm -f $(CHANGELOG_BKP) $(CHANGELOG_EDT)
 
 
+ci:
+	(svn diff ChangeLog | egrep '^[+]([^+].+|)$$' | sed -e 's/^[+]//')>commit_message
+	@echo 'to commit, enter "svn ci -F commit_message'
+
 ##########################################################################
 
 test:
+	@# set xterm title to know what this window does ;)
+	@echo -ne '\033]0;gPodder console (make test)\007'
 	$(BINFILE) --local --verbose
+
+mtest:
+	@# in maemo scratchbox, we need this for osso/hildon
+	run-standalone.sh $(BINFILE) --local --maemo --verbose
 
 deb:
 	debuild
 
 release: distclean
 	python setup.py sdist
+
+releasetest:
+	if grep -q '^__version__.*=.*+svn' $(BINFILE); then echo "Version is still '+svn'."; exit 1; fi
+	desktop-file-validate data/gpodder.desktop
 
 install: generators
 	python setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)
@@ -100,19 +118,22 @@
 
 ##########################################################################
 
-generators: $(MANPAGE) gen_graphics
+generators: $(MANPAGE) $(LOGO_24)
 	make -C data/po update
 
 messages: gen_gettext
 
 $(MANPAGE): $(BINFILE)
-	help2man --name="A Media aggregator and Podcast catcher" -N $(BINFILE) >$(MANPAGE)
+	$(HELP2MAN) --name="A Media aggregator and Podcast catcher" -N $(BINFILE) >$(MANPAGE)
+
+data/maemo/gpodder.desktop: data/gpodder.desktop
+	sed -e 's/^Exec=gpodder$$/Exec=gpodder --maemo/g' <data/gpodder.desktop >data/maemo/gpodder.desktop
 
 gen_gettext: $(MESSAGESPOT)
 	make -C data/po generators
 	make -C data/po update
 
-gen_graphics:
+$(LOGO_24): $(LOGO_22)
 	convert -bordercolor Transparent -border 1x1 $(LOGO_22) $(LOGO_24)
 
 $(GLADEGETTEXT): $(GLADEFILE)
@@ -132,7 +153,7 @@
 
 clean:
 	python setup.py clean
-	rm -f src/gpodder/*.pyc src/gpodder/*.bak MANIFEST PKG-INFO data/gpodder.gladep{,.bak} data/gpodder.glade.bak $(GLADEGETTEXT) data/messages.pot~ data/gpodder-??x??.png $(ROSETTA_ARCHIVE)
+	rm -f src/gpodder/*.pyc src/gpodder/*.pyo src/gpodder/*.bak MANIFEST PKG-INFO data/gpodder.gladep{,.bak} data/gpodder.glade.bak $(GLADEGETTEXT) data/messages.pot~ data/gpodder-??x??.png $(ROSETTA_ARCHIVE)
 	rm -rf build
 	make -C data/po clean
 
@@ -144,7 +165,7 @@
  
 ##########################################################################
 
-.PHONY: all cl test release install update-icons generators gen_manpage gen_graphics clean distclean messages help
+.PHONY: all cl ci test release releasetest install update-icons generators gen_manpage gen_graphics clean distclean messages help
 
 ##########################################################################

=== data/po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # gPodder - A media aggregator and podcast client
-# Copyright (C) 2005-2007 Thomas Perl <thp at perli.net>
+# Copyright (c) 2005-2008 Thomas Perl and the gPodder Team
 #
 # gPodder is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

## gpodder 0.11.3-maemo0

=== debian/changelog ===
gpodder (0.11.3-maemo0) chinook; urgency=low

  * gpodder 0.11.3 "To Serve Man" released
  * Based on SVN revision 743

 -- Thomas Perl <thp@perli.net>  Sun, 15 Jun 2008 23:33:36 +0200

## gpodder 0.11.3-maemo1

=== debian/changelog ===
gpodder (0.11.3-maemo1) chinook; urgency=low

  * Fix a problem related to loading localdb

 -- Thomas Perl <thp@perli.net>  Mon, 16 Jun 2008 14:29:44 +0200

## gpodder 0.11.3-maemo2

=== debian/changelog ===
gpodder (0.11.3-maemo2) chinook; urgency=low

  * Fix another annoying problem with localdb

 -- Thomas Perl <thp@perli.net>  Tue, 17 Jun 2008 19:59:02 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CHANGELOG	= ChangeLog
DOCS		= README

PYTHON		= /usr/bin/python2.5
SETUP		= TARGET=maemo ${PYTHON} setup.py

DEBPACKAGE	= gpodder
DESTDIR		= debian/${DEBPACKAGE}
PREFIX		= usr

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	${SETUP} build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	${SETUP} clean --all
	rm -rf build dist
	dh_clean
	make clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	make -C data/po update
	${SETUP} install --no-compile -O2 --root='$(DESTDIR)' --prefix='$(PREFIX)'

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs $(CHANGELOG)
	dh_installdocs $(DOCS)
	dh_installman
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

.PHONY: build clean binary-indep binary-arch binary install configure

## gpodder 0.12.0-maemo0

=== debian/changelog ===
gpodder (0.12.0-maemo0) diablo; urgency=low

  * gPodder 0.12.0 "Metropolis" released
  * Based on SVN revision 778

 -- Thomas Perl <thp@perli.net>  Fri, 18 Jul 2008 16:19:31 +0200

## gpodder 0.12.2-maemo0

=== debian/changelog ===
gpodder (0.12.2-maemo0) diablo; urgency=low

  * gPodder 0.12.2 "Of Late I Think of Cliffordville" released

 -- Thomas Perl <thp@perli.net>  Mon, 11 Aug 2008 18:09:03 +0200

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <thp@perli.net>
Section: user/other
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2), python2.5-dev, intltool
XS-Python-Version: >= 2.4
XB-Python-Version: ${python:Versions}
Homepage: http://www.gpodder.org/

Package: gpodder
Architecture: all
Depends: ${python:Depends}, python2.5-gtk2, python2.5-feedparser, python2.5-xml, python2.5-osso, python2.5-hildon
Description: A GTK+ Media aggregator and Podcast catcher
 gPodder is a podcast receiver/catcher. You can subscribe to RSS 
 feeds (Podcasts) and download audio/video content from different 
 channels. Simultaneous downloads and automatic downloads of new
 episodes are also supported. This is the Maemo-optimized version.
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAAAwFBMVEUAAABdlCbU1dSXmZOtz4pU
 jxq2uLQsLitnaWQAAAALDQiHiYVEgwYAAABDbBZ+fn4WKQDLy8qpqqZRcjIAAABKdCGgoZ4uPh2P
 1Etyvyec3VwUHgmLkIZ9hnSYq54AAACRx11spjN7sEiN4jru7u7z8/Oxub/i4+LFxcWq5m8rLier
 r7CztLNLVEKu63KLrM/Iycfo6OjAwcCG3y6vx+Dx8fHs7Oz39/fb29qV5Ed+2STOzs6m6GWCnbmr
 wJaK4jSKlPn9AAAAI3RSTlMA9/vW6cfo4/AYVY1zAxkgFvsbQQ6MiY/59/4w+Pj8JvLu7JJ5EpkA
 AAGBSURBVCjPnZLbcqowGEYBh2MJSAVUmnJyK0iMFiwQCMj7v1WTdLbT3nZdZJJZ832T+RNJ+juq
 /fPkMv7vnTR9ulAThE815c7mZcONUnvaCTWa6wu1yXdnFZ5gwFQff37ebnH5HdtA+H54b7oObpk6
 cTWXL4DXGXUHZYO2bau/hS1X8+ytRMg4HjssX3pUUz1s59uNq5ClfAv1fY9l3GPc6mHdzAxEV7xw
 OxPcQ7kqYEUNl7T/iKcQKgotiKoLlPe4QDXckqP3oTSNIlRiKBViSsZdjV2vUGpCEYXi8npR1ng/
 7vNK37oeJXETX74LJcuoFTyO4xIFEkt59KNEVBNjBJZe7YTK7EDry6ZEpbJ6FTEg2dE43pdliIZH
 1xaUED4oR1Vtx+FqEUSPxyNehSELqdfrOc3T6X7nYpim6ZzbrGfN1bIchuFwYEs0cbMLfF+8iJ1e
 fxFlgZUkiemzQTm2mmU5I8syWVYDy2LKNMHzP6zXa1OQmAD4APz8K+D38c98ARusOiFmWONIAAAA
 AElFTkSuQmCC

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-CHANGELOG	= ChangeLog
 DOCS		= README
 
 PYTHON		= /usr/bin/python2.5
@@ -53,7 +52,6 @@
 binary-indep: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs $(CHANGELOG)
 	dh_installdocs $(DOCS)
 	dh_installman
 	dh_compress

## gpodder 0.14.0

=== Makefile ===
--- 
+++ 
@@ -24,8 +24,6 @@
 GLADEGETTEXT=$(GLADEFILE).h
 MESSAGESPOT=data/messages.pot
 GUIFILE=src/gpodder/gui.py
-LOGO_22=data/icons/22/gpodder.png
-LOGO_24=data/icons/24/gpodder.png
 HELP2MAN=help2man
 MANPAGE=doc/man/gpodder.1
 GPODDERVERSION=`cat $(BINFILE) |grep ^__version__.*=|cut -d\" -f2`
@@ -52,8 +50,6 @@
 help:
 	@echo 'make test            run gpodder in local directory'
 	@echo 'make mtest           run gpodder (for maemo scratchbox)'
-	@echo 'make cl              make new changelog entry (1)'
-	@echo 'make ci              format a commit message from the changelog'
 	@echo 'make release         create source tarball in "dist/"'
 	@echo 'make releasetest     run some tests before the release'
 	@echo 'make install         install gpodder into "$(PREFIX)"'
@@ -65,21 +61,6 @@
 	@echo 'make distclean       do a "make clean" + remove "dist/"'
 	@echo ''
 	@echo '(1) Please set environment variable "EMAIL" to your e-mail address'
-
-##########################################################################
-
-cl:
-	cp $(CHANGELOG) $(CHANGELOG_BKP)
-	(echo "`date -R` <$(EMAIL)>" ; svn status | sed -f doc/dev/svncl.sed | sort ; echo ""; cat $(CHANGELOG)) >$(CHANGELOG_EDT)
-	cp $(CHANGELOG_EDT) $(CHANGELOG)
-	$(EDITOR) $(CHANGELOG)
-	diff -q $(CHANGELOG) $(CHANGELOG_EDT) && mv $(CHANGELOG_BKP) $(CHANGELOG) || true
-	rm -f $(CHANGELOG_BKP) $(CHANGELOG_EDT)
-
-
-ci:
-	(svn diff ChangeLog | egrep '^[+]([^+].+|)$$' | sed -e 's/^[+]//')>commit_message
-	@echo 'to commit, enter "svn ci -F commit_message'
 
 ##########################################################################
 
@@ -118,7 +99,7 @@
 
 ##########################################################################
 
-generators: $(MANPAGE) $(LOGO_24)
+generators: $(MANPAGE)
 	make -C data/po update
 
 messages: gen_gettext
@@ -132,9 +113,6 @@
 gen_gettext: $(MESSAGESPOT)
 	make -C data/po generators
 	make -C data/po update
-
-$(LOGO_24): $(LOGO_22)
-	convert -bordercolor Transparent -border 1x1 $(LOGO_22) $(LOGO_24)
 
 $(GLADEGETTEXT): $(GLADEFILE)
 	intltool-extract --type=gettext/glade $(GLADEFILE)
@@ -165,7 +143,7 @@
  
 ##########################################################################
 
-.PHONY: all cl ci test release releasetest install update-icons generators gen_manpage gen_graphics clean distclean messages help
+.PHONY: all test release releasetest install update-icons generators gen_manpage gen_graphics clean distclean messages help
 
 ##########################################################################

## gpodder 0.15.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # gPodder - A media aggregator and podcast client
-# Copyright (c) 2005-2008 Thomas Perl and the gPodder Team
+# Copyright (c) 2005-2009 Thomas Perl and the gPodder Team
 #
 # gPodder is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -49,6 +49,7 @@
 
 help:
 	@echo 'make test            run gpodder in local directory'
+	@echo 'make unittest        run doctests + unittests'
 	@echo 'make mtest           run gpodder (for maemo scratchbox)'
 	@echo 'make release         create source tarball in "dist/"'
 	@echo 'make releasetest     run some tests before the release'
@@ -69,6 +70,9 @@
 	@echo -ne '\033]0;gPodder console (make test)\007'
 	$(BINFILE) --local --verbose
 
+unittest:
+	PYTHONPATH=src/ python -m gpodder.unittests
+
 mtest:
 	@# in maemo scratchbox, we need this for osso/hildon
 	run-standalone.sh $(BINFILE) --local --maemo --verbose
@@ -79,7 +83,7 @@
 release: distclean
 	python setup.py sdist
 
-releasetest:
+releasetest: unittest
 	if grep -q '^__version__.*=.*+svn' $(BINFILE); then echo "Version is still '+svn'."; exit 1; fi
 	desktop-file-validate data/gpodder.desktop
 
@@ -143,7 +147,7 @@
  
 ##########################################################################
 
-.PHONY: all test release releasetest install update-icons generators gen_manpage gen_graphics clean distclean messages help
+.PHONY: all test unittest release releasetest install update-icons generators gen_manpage gen_graphics clean distclean messages help
 
 ##########################################################################

## gpodder 0.15.2

=== Makefile ===
--- 
+++ 
@@ -135,7 +135,7 @@
 
 clean:
 	python setup.py clean
-	rm -f src/gpodder/*.pyc src/gpodder/*.pyo src/gpodder/*.bak MANIFEST PKG-INFO data/gpodder.gladep{,.bak} data/gpodder.glade.bak $(GLADEGETTEXT) data/messages.pot~ data/gpodder-??x??.png $(ROSETTA_ARCHIVE)
+	rm -f src/gpodder/*.pyc src/gpodder/*.pyo src/gpodder/*.bak MANIFEST PKG-INFO data/gpodder.gladep{,.bak} data/gpodder.glade.bak $(GLADEGETTEXT) data/messages.pot~ data/gpodder-??x??.png $(ROSETTA_ARCHIVE) .coverage
 	rm -rf build
 	make -C data/po clean

## gpodder 0.15.2-2%2bmaemotest090523

=== debian/changelog ===
gpodder (0.15.2-2+maemotest090523) fremantle; urgency=low

  * Test build from Git with Fremantle-specific changes

 -- Thomas Perl <thp@gpodder.org>  Sat, 23 May 2009 11:01:01 +0200

gpodder (0.15.2~maemotest090511) diablo; urgency=low

  * Test build from Git; including some UI experiments

 -- Thomas Perl <thp@gpodder.org>  Mon, 11 May 2009 22:22:42 +0200

gpodder (0.15.2-1) diablo; urgency=low

  * "The Long Morrow" release

 -- Thomas Perl <thp@gpodder.org>  Sat, 11 Apr 2009 15:17:59 +0200

gpodder (0.15.0-4) diablo; urgency=low

  * Add python2.5-dbus as dependency

 -- Thomas Perl <thp@gpodder.org>  Wed, 11 Mar 2009 09:09:58 +0100

gpodder (0.15.0-3) diablo; urgency=low

  * Fix problems withencoding

 -- Thomas Perl <thp@gpodder.org>  Mon,  9 Mar 2009 20:30:47 +0100

gpodder (0.15.0-2) diablo; urgency=low

  * Add python-mokoui2 as a dependency

 -- Thomas Perl <thp@gpodder.org>  Mon,  9 Mar 2009 16:35:38 +0100

gpodder (0.15.0-1) diablo; urgency=low

  * "The Invaders" release

 -- Thomas Perl <thp@gpodder.org>  Mon,  9 Mar 2009 13:34:01 +0100

gpodder (0.14.1-2) diablo; urgency=low

  * Fix package category and upgrade description
  * Update maintainer e-mail
  * Remove old, outdated debian/changelog entries

 -- Thomas Perl <thp@gpodder.org>  Thu, 05 Feb 2009 23:40:30 +0100

gpodder (0.14.1-1) diablo; urgency=low

  * "The Thirty-Fathom Grave" release

 -- Thomas Perl <thp@perli.net>  Thu,  5 Feb 2009 23:21:10 +0100

gpodder (0.14.0-2) diablo; urgency=low

  * Implement "Maemo packaging features you're missing out on"

 -- Thomas Perl <thp@perli.net>  Mon, 15 Dec 2008 10:47:09 +0100

gpodder (0.14.0-1) diablo; urgency=low

  * New upstream release

 -- Thomas Perl <thp@perli.net>  Thu, 11 Dec 2008 17:12:24 +0100

=== debian/control ===
Source: gpodder
Maintainer: Thomas Perl <thp@gpodder.org>
Section: user/multimedia
Priority: optional
Standards-Version: 3.7.3
Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-support (>= 0.3)
XS-Python-Version: >= 2.5
XB-Python-Version: ${python:Versions}
Homepage: http://gpodder.org/

Package: gpodder
Architecture: all
Depends: ${python:Depends}, python-gtk2, python-hildon, python-feedparser
Description: A usable podcast aggregator for Internet Tablets
 gPodder is a podcast receiver/catcher with a specialized UI that
 has been optimized for Nokia Internet Tablets. Podcasts are like
 short radio shows that you can download from the Internet and
 subscribe to like blogs or news feeds.
 .
 gPodder supports both audio and video podcasts equally, and is
 said to be one of the most usable podcast clients available.
 .
 A version for Linux Desktops exists. This is the Maemo version.
XB-Maemo-Display-Name: gPodder Podcast Client
XB-Maemo-Upgrade-Description: Fremantle test
XB-Maemo-Icon-26: iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAMAAACelLz8AAADAFBMVEUDAwMEBAQDAwMDAwMDAwMC
 AgICAgICAgIBAQEBAQEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAB
 AQACBQAJEgAWKwAhQgAoTwAuXAAzZAE1aAE2awI3bQI4bQI4bQM4bAM4awQ4awU4awY4aAc2Ywk1
 Xgw0WQ8zUhQyTBkyRR8yPyYyOyoyNy0yNC8zMzM1NTU2NjY3Nzc4ODg5OTk6Ojo6Ojo7Ozs8PDw9
 PT0+Pj4/Pz9AQEBBQUFCQkJDQ0NFRUVHR0dISEhJSUlKSkpMTExNTU1OTk5QUFBRUVFTU1NYWFhc
 XVxhYWBoaGdtbmxyc3F1d3R4eXZ6fHh+f3uAgnyDhX+Fh4GHiIKIiYOJioSJi4SJioSIioOHiIOF
 hoGChH+Agn5/gX1+f3x8fXp6e3l4eXZ1dnNydHBxc29vcm1vcmxrb2dnbGJla15ja1tia1hhbFZe
 aVNcaE9ZZkxYZUpWZUdSZEFMXjpJXTZKYTNObS9OdSZNeiBNfxpNgxZOhhVPiBZRixdUjxpZkiBc
 lSRimyllnixpoy9spzJvqzV1szh7vDx/wz6DyD+EzT6Gzz6H0j6J1T+L10CM2UKq23uo0YGmyIaj
 v4qit46hsZOgrZagq5mhqpqhqpyjrJ2krqClrqGlraOlraWlraemrqqmrq+nr7KosbWqtLmrtrit
 t7muubuvurywu7yzvL21vr63v8G5wcO8w8W+xMXBxsbDx8jGysvKzM7Mz9DP0dLS09TV1dbY2NjZ
 2dna2trb29vb29vc3Nzc3d7d3t/d3+He4OLf4ePh4uTi4+Xj5OXk5eXm5ubm5ubo6Ojp6enq6urq
 6urr6+vr6+vs7Ozs7Ozs7Ozs7Ozt7e3t7e3v7+/x8fH29vb29vb29vb19fX19fX09PT09PT09PTz
 8/Py8vLy8vLw8PCs43ar5XKq526o52um5mel5mWj5mKi5mCh5l6g5luf5Vqe5Vic5Faa41OY4lCW
 4U2U4EmQ3UWO2kO/mgYKAAAA4XRSTlMxMi8rJB0WDwoGAgIBAQEBAAAAAAAAAAABAgUNFBgeIiYl
 KiwtLzE0ODxBR09ZYWlxdHd5dm9qZWFdWVVRTUlFQDo1LywrLS8xNDY5PEBESE1RVVxhZmdnaWRg
 V0xFPUZJUFlibnmGjJKao66+ztjh7O/09fX19fX09PTz8O7s6OLX0MrHyc7Q1tfb3+Tm6e3x9vr8
 /f39/v7+/Pj18e/t6+vq5ePg4OHj4uHi5Ofs8fT29/f4+Pn5+fj4+Pj4+Pj4+Pj5+fn5+vr7+/v8
 /Pz9/Pz9/f39/v7+/v7+/v7+/v5dXlGUAAABpUlEQVQoz2MQxAkYaCalpAhlxKWkx8XFIUlpdLQG
 5oSAZBLj4lKSs+OgUvzBwa3/ugoOrsgVhGgQXJwBlcpZuaLs+4RFt+8vsADKAGXjli+GSLkW3L63
 cOKkhQ9evqzjEExZt27p4gUpECnnggev7tf8L3j08OE+Y8HFG1avXL8Fqku64MnDhwUTqx4+3HLS
 WHDl6jMHti9aHAeWYi14+Gjfzp660w+rCuri1m04vHfjIqgujrqHe6o29EytfVhbV5d0YNGa9T19
 HYoQFxof2F9X0POvZ8HeHcaL798/uXXC20kaECm2kpfFBf0zftTX1TMufnLvwone35OhUoLGBVvq
 fvz/97NDSXHhyxvnj+7rb1eEBRSjccuMPzN+/ent2/7g2tkjBxaDw1CxtaO9tbW14+/fGTN+//y5
 4f7l04f2ZUGker9++/Hz948fM4Dg9/vZ8+Yv27AoHiylMeHLj5/fPn/+/uPrp/fv3r59+64nNU4Q
 auCE32AhMHj3fXKHBjwqpbVb2iCgvaOjpUWXkYWNGx7LnOxsrMwMYMDMysbBTaMUBQBIwuXsDRwz
 uwAAAABJRU5ErkJggg==

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	dh_clean -k
 	dh_installdirs
 	make -C data/po update
-	${SETUP} install --no-compile -O2 --root='$(DESTDIR)' --prefix='$(PREFIX)'
+	${SETUP} install --no-compile --root='$(DESTDIR)' --prefix='$(PREFIX)' --install-lib=$(PREFIX)/share/python-support/$(DEBPACKAGE)
 
 binary-arch:
 
@@ -56,6 +56,7 @@
 	dh_installman
 	dh_compress
 	dh_fixperms
+	dh_pysupport
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums

## gpodder 0.15.2-2%2bmaemotest090524

=== debian/changelog ===
gpodder (0.15.2-2+maemotest090524) fremantle; urgency=low

  * Drop requirement on python-support again

 -- Thomas Perl <thp@gpodder.org>  Mon, 25 May 2009 00:17:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,12 @@
 Section: user/multimedia
 Priority: optional
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-support (>= 0.3)
-XS-Python-Version: >= 2.5
-XB-Python-Version: ${python:Versions}
+Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool
 Homepage: http://gpodder.org/
 
 Package: gpodder
 Architecture: all
-Depends: ${python:Depends}, python-gtk2, python-hildon, python-feedparser
+Depends: python (>= 2.5), python-gtk2, python-hildon, python-feedparser
 Description: A usable podcast aggregator for Internet Tablets
  gPodder is a podcast receiver/catcher with a specialized UI that
  has been optimized for Nokia Internet Tablets. Podcasts are like

## gpodder 0.15.2-2%2bmaemotest090530

=== debian/changelog ===
gpodder (0.15.2-2+maemotest090530) fremantle; urgency=low

  * Ship with feedparser to get rid of that dependency for testing
    purposes

 -- Thomas Perl <thp@gpodder.org>  Sat, 30 May 2009 13:42:39 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: gpodder
 Architecture: all
-Depends: python (>= 2.5), python-gtk2, python-hildon, python-feedparser
+Depends: python (>= 2.5), python-gtk2, python-hildon
 Description: A usable podcast aggregator for Internet Tablets
  gPodder is a podcast receiver/catcher with a specialized UI that
  has been optimized for Nokia Internet Tablets. Podcasts are like

## gpodder 0.15.2-2%2bmmdw2

=== debian/changelog ===
gpodder (0.15.2-2+mmdw2) fremantle; urgency=low

  * Add feedparser as build-dependency

 -- Thomas Perl <thp@gpodder.org>  Sat, 30 May 2009 14:19:10 +0200

gpodder (0.15.2-2+mmdw1) fremantle; urgency=low

  * Enable feedparser dependency again

 -- Thomas Perl <thp@gpodder.org>  Sat, 30 May 2009 14:12:40 +0200

## gpodder 0.15.2-2%2bmmdw3

=== Makefile ===
--- 
+++ 
@@ -20,9 +20,9 @@
 ##########################################################################
 
 BINFILE=bin/gpodder
-GLADEFILE=data/gpodder.glade
-GLADEGETTEXT=$(GLADEFILE).h
 MESSAGESPOT=data/messages.pot
+UIFILES=$(wildcard data/ui/*.ui)
+UIFILES_H=$(subst .ui,.ui.h,$(UIFILES))
 GUIFILE=src/gpodder/gui.py
 HELP2MAN=help2man
 MANPAGE=doc/man/gpodder.1
@@ -61,6 +61,9 @@
 	@echo 'make clean           remove generated+temp+*.py{c,o} files'
 	@echo 'make distclean       do a "make clean" + remove "dist/"'
 	@echo ''
+	@echo 'make install-git-menuitem   Add shortcuts to your menu for this git checkout'
+	@echo 'make remove-git-menuitem    Remove shortcuts created by "install-git-menuitem"'
+	@echo ''
 	@echo '(1) Please set environment variable "EMAIL" to your e-mail address'
 
 ##########################################################################
@@ -68,27 +71,26 @@
 test:
 	@# set xterm title to know what this window does ;)
 	@echo -ne '\033]0;gPodder console (make test)\007'
-	$(BINFILE) --local --verbose
+	$(BINFILE) --verbose
 
 unittest:
-	PYTHONPATH=src/ python -m gpodder.unittests
+	PYTHONPATH=src/ python2.5 -m gpodder.unittests
 
 mtest:
 	@# in maemo scratchbox, we need this for osso/hildon
-	run-standalone.sh $(BINFILE) --local --maemo --verbose
+	run-standalone.sh $(BINFILE) --maemo --verbose
 
 deb:
 	debuild
 
 release: distclean
-	python setup.py sdist
+	python2.5 setup.py sdist
 
 releasetest: unittest
-	if grep -q '^__version__.*=.*+svn' $(BINFILE); then echo "Version is still '+svn'."; exit 1; fi
 	desktop-file-validate data/gpodder.desktop
 
 install: generators
-	python setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)
+	python2.5 setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)
 
 update-icons:
 	gtk-update-icon-cache -f -i $(PREFIX)/share/icons/hicolor/
@@ -118,11 +120,11 @@
 	make -C data/po generators
 	make -C data/po update
 
-$(GLADEGETTEXT): $(GLADEFILE)
-	intltool-extract --type=gettext/glade $(GLADEFILE)
+data/ui/%.ui.h: $(subst .ui.h,.h,$@)
+	intltool-extract --type=gettext/glade $(subst .ui.h,.ui,$@)
 
-$(MESSAGESPOT): src/gpodder/*.py $(GLADEGETTEXT) $(BINFILE)
-	xgettext -k_ -kN_ -o $(MESSAGESPOT) src/gpodder/*.py $(GLADEGETTEXT) $(BINFILE)
+$(MESSAGESPOT): src/gpodder/*.py $(GLADEGETTEXT) $(BINFILE) $(UIFILES_H)
+	xgettext -k_ -kN_ -o $(MESSAGESPOT) src/gpodder/*.py $(UIFILES_H) $(BINFILE)
 	sed -i'~' -e 's/SOME DESCRIPTIVE TITLE/gPodder translation template/g' -e 's/YEAR THE PACKAGE'"'"'S COPYRIGHT HOLDER/2006 Thomas Perl/g' -e 's/FIRST AUTHOR <EMAIL@ADDRESS>, YEAR/Thomas Perl <thp@perli.net>, 2006/g' -e 's/PACKAGE VERSION/gPodder '$(GPODDERVERSION)'/g' -e 's/PACKAGE/gPodder/g' $(MESSAGESPOT)
 
 rosetta-upload: $(ROSETTA_ARCHIVE)
@@ -131,11 +133,17 @@
 $(ROSETTA_ARCHIVE):
 	tar czvf $(ROSETTA_ARCHIVE) $(ROSETTA_FILES)
 
+install-git-menuitem:
+	doc/dev/install-desktopentry.sh
+
+remove-git-menuitem:
+	doc/dev/install-desktopentry.sh --remove
+
 ##########################################################################
 
 clean:
-	python setup.py clean
-	rm -f src/gpodder/*.pyc src/gpodder/*.pyo src/gpodder/*.bak MANIFEST PKG-INFO data/gpodder.gladep{,.bak} data/gpodder.glade.bak $(GLADEGETTEXT) data/messages.pot~ data/gpodder-??x??.png $(ROSETTA_ARCHIVE) .coverage
+	python2.5 setup.py clean
+	rm -f src/gpodder/*.pyc src/gpodder/*.pyo src/gpodder/*.bak MANIFEST PKG-INFO $(UIFILES_H) data/messages.pot~ data/gpodder-??x??.png $(ROSETTA_ARCHIVE) .coverage
 	rm -rf build
 	make -C data/po clean
 
@@ -147,7 +155,7 @@
  
 ##########################################################################
 
-.PHONY: all test unittest release releasetest install update-icons generators gen_manpage gen_graphics clean distclean messages help
+.PHONY: all test unittest release releasetest install update-icons generators gen_manpage gen_graphics clean distclean messages help install-git-menuitem remove-git-menuitem
 
 ##########################################################################

=== debian/changelog ===
gpodder (0.15.2-2+mmdw3) fremantle; urgency=low

  * Merge all Maemo5-related changes against 0.16.0

 -- Thomas Perl <thp@gpodder.org>  Sat, 30 May 2009 16:09:47 +0200

## gpodder 0.15.2-2%2bmmdw4

=== debian/changelog ===
gpodder (0.15.2-2+mmdw4) fremantle; urgency=low

  * The new Fremantle package with all recent UI fixes

 -- Thomas Perl <thp@gpodder.org>  Sun, 31 May 2009 12:45:31 +0200

## gpodder 0.15.2-2%2bmmdw5

=== debian/changelog ===
gpodder (0.15.2-2+mmdw5) fremantle; urgency=low

  * Add some more string changes to make the UI fit the screen

 -- Thomas Perl <thp@gpodder.org>  Sun, 31 May 2009 13:03:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Section: user/multimedia
 Priority: optional
 Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool
+Build-Depends: debhelper (>= 5.0.37.2), python-dev, intltool, python-feedparser
 Homepage: http://gpodder.org/
 
 Package: gpodder
 Architecture: all
-Depends: python (>= 2.5), python-gtk2, python-hildon
+Depends: python (>= 2.5), python-gtk2, python-hildon, python-feedparser
 Description: A usable podcast aggregator for Internet Tablets
  gPodder is a podcast receiver/catcher with a specialized UI that
  has been optimized for Nokia Internet Tablets. Podcasts are like

=== debian/rules ===
--- 
+++ 
@@ -45,7 +45,7 @@
 	dh_clean -k
 	dh_installdirs
 	make -C data/po update
-	${SETUP} install --no-compile --root='$(DESTDIR)' --prefix='$(PREFIX)' --install-lib=$(PREFIX)/share/python-support/$(DEBPACKAGE)
+	${SETUP} install --no-compile --root='$(DESTDIR)' --prefix='$(PREFIX)'
 
 binary-arch:
 
@@ -56,7 +56,6 @@
 	dh_installman
 	dh_compress
 	dh_fixperms
-	dh_pysupport
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums

## gpodder 0.16.0

=== Makefile ===
--- 
+++ 
@@ -74,7 +74,7 @@
 	$(BINFILE) --verbose
 
 unittest:
-	PYTHONPATH=src/ python2.5 -m gpodder.unittests
+	PYTHONPATH=src/ python -m gpodder.unittests
 
 mtest:
 	@# in maemo scratchbox, we need this for osso/hildon
@@ -84,13 +84,13 @@
 	debuild
 
 release: distclean
-	python2.5 setup.py sdist
+	python setup.py sdist
 
 releasetest: unittest
 	desktop-file-validate data/gpodder.desktop
 
 install: generators
-	python2.5 setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)
+	python setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)
 
 update-icons:
 	gtk-update-icon-cache -f -i $(PREFIX)/share/icons/hicolor/
@@ -142,7 +142,7 @@
 ##########################################################################
 
 clean:
-	python2.5 setup.py clean
+	python setup.py clean
 	rm -f src/gpodder/*.pyc src/gpodder/*.pyo src/gpodder/*.bak MANIFEST PKG-INFO $(UIFILES_H) data/messages.pot~ data/gpodder-??x??.png $(ROSETTA_ARCHIVE) .coverage
 	rm -rf build
 	make -C data/po clean

## gpodder 0.16.1

=== Makefile ===
--- 
+++ 
@@ -110,7 +110,7 @@
 
 messages: gen_gettext
 
-$(MANPAGE): $(BINFILE)
+$(MANPAGE): src/gpodder/__init__.py
 	$(HELP2MAN) --name="A Media aggregator and Podcast catcher" -N $(BINFILE) >$(MANPAGE)
 
 data/maemo/gpodder.desktop: data/gpodder.desktop

=== data/po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # gPodder - A media aggregator and podcast client
-# Copyright (c) 2005-2008 Thomas Perl and the gPodder Team
+# Copyright (c) 2005-2009 Thomas Perl and the gPodder Team
 #
 # gPodder is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -25,6 +25,9 @@
 clean:
 	rm -rf ../locale *~ *.mo
 
+statistics:
+	@for file in *.po; do echo -n "$$file (`cat $$file | grep Revision-Date | cut -d' ' -f2`): "; msgfmt --statistics $$file 2>&1; done
 
-.PHONY: update generators clean
 
+.PHONY: update generators clean statistics
+

## gpodder 0.16.1-0fremantleui

=== debian/changelog ===
gpodder (0.16.1-0fremantleui) fremantle; urgency=low

  * A preview release based on the current Git head (post-0.16.1)
    with lots of UI changes targetting Maemo 5 (Fremantle)

 -- Thomas Perl <thp@gpodder.org>  Sun, 14 Jun 2009 21:09:54 +0200

gpodder (0.16.0-1frmntl) fremantle; urgency=low

  * Polished, public release of gPodder 0.16.0 for end users
  * This is the Fremantle Edition with some code tweaks for Hildon

 -- Thomas Perl <thp@gpodder.org>  Mon,  1 Jun 2009 15:50:35 +0200

## gpodder 0.16.1-1fremantleui

=== debian/changelog ===
gpodder (0.16.1-1fremantleui) fremantle; urgency=low

  * Bump release (ignore .git when creating source tarball)

 -- Thomas Perl <thp@gpodder.org>  Sun, 14 Jun 2009 21:16:48 +0200

## gpodder 0.16.1-2fremantleui

=== debian/changelog ===
gpodder (0.16.1-2fremantleui) fremantle; urgency=low

  * Updated UI after review from Quim and kanishou

 -- Thomas Perl <thp@gpodder.org>  Mon, 15 Jun 2009 16:53:31 +0200

## gpodder 0.16.1-3fremantleui

=== Makefile ===
--- 
+++ 
@@ -74,7 +74,7 @@
 	$(BINFILE) --verbose
 
 unittest:
-	PYTHONPATH=src/ python -m gpodder.unittests
+	PYTHONPATH=src/ python2.5 -m gpodder.unittests
 
 mtest:
 	@# in maemo scratchbox, we need this for osso/hildon
@@ -84,13 +84,13 @@
 	debuild
 
 release: distclean
-	python setup.py sdist
+	python2.5 setup.py sdist
 
 releasetest: unittest
 	desktop-file-validate data/gpodder.desktop
 
 install: generators
-	python setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)
+	python2.5 setup.py install --root=$(DESTDIR) --prefix=$(PREFIX)
 
 update-icons:
 	gtk-update-icon-cache -f -i $(PREFIX)/share/icons/hicolor/
@@ -142,7 +142,7 @@
 ##########################################################################
 
 clean:
-	python setup.py clean
+	python2.5 setup.py clean
 	rm -f src/gpodder/*.pyc src/gpodder/*.pyo src/gpodder/*.bak MANIFEST PKG-INFO $(UIFILES_H) data/messages.pot~ data/gpodder-??x??.png $(ROSETTA_ARCHIVE) .coverage
 	rm -rf build
 	make -C data/po clean

=== debian/changelog ===
gpodder (0.16.1-3fremantleui) fremantle; urgency=low

  * Don't call maemo-select-menu-location, even on upgrades

 -- Thomas Perl <thp@gpodder.org>  Tue, 16 Jun 2009 10:32:35 +0200

## gpodder 0.16.1-4fremantleui

=== debian/changelog ===
gpodder (0.16.1-4fremantleui) fremantle; urgency=low

  * Don't use "I" while writing messages from software
    (Fixes: Maemo bug 4684)

 -- Thomas Perl <thp@gpodder.org>  Tue, 16 Jun 2009 11:05:03 +0200
